<!DOCTYPE html>
<html lang="en">

<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8">
	<meta name="robots" content="NONE,NOARCHIVE">
	<title>KeyError
		at /kobo/v2/autenticar/</title>
	<style type="text/css">
		html * {
			padding: 0;
			margin: 0;
		}

		body * {
			padding: 10px 20px;
		}

		body * * {
			padding: 0;
		}

		body {
			font: small sans-serif;
			background-color: #fff;
			color: #000;
		}

		body>div {
			border-bottom: 1px solid #ddd;
		}

		h1 {
			font-weight: normal;
		}

		h2 {
			margin-bottom: .8em;
		}

		h3 {
			margin: 1em 0 .5em 0;
		}

		h4 {
			margin: 0 0 .5em 0;
			font-weight: normal;
		}

		code,
		pre {
			font-size: 100%;
			white-space: pre-wrap;
		}

		table {
			border: 1px solid #ccc;
			border-collapse: collapse;
			width: 100%;
			background: white;
		}

		tbody td,
		tbody th {
			vertical-align: top;
			padding: 2px 3px;
		}

		thead th {
			padding: 1px 6px 1px 3px;
			background: #fefefe;
			text-align: left;
			font-weight: normal;
			font-size: 11px;
			border: 1px solid #ddd;
		}

		tbody th {
			width: 12em;
			text-align: right;
			color: #666;
			padding-right: .5em;
		}

		table.vars {
			margin: 5px 0 2px 40px;
		}

		table.vars td,
		table.req td {
			font-family: monospace;
		}

		table td.code {
			width: 100%;
		}

		table td.code pre {
			overflow: hidden;
		}

		table.source th {
			color: #666;
		}

		table.source td {
			font-family: monospace;
			white-space: pre;
			border-bottom: 1px solid #eee;
		}

		ul.traceback {
			list-style-type: none;
			color: #222;
		}

		ul.traceback li.frame {
			padding-bottom: 1em;
			color: #4f4f4f;
		}

		ul.traceback li.user {
			background-color: #e0e0e0;
			color: #000
		}

		div.context {
			padding: 10px 0;
			overflow: hidden;
		}

		div.context ol {
			padding-left: 30px;
			margin: 0 10px;
			list-style-position: inside;
		}

		div.context ol li {
			font-family: monospace;
			white-space: pre;
			color: #777;
			cursor: pointer;
			padding-left: 2px;
		}

		div.context ol li pre {
			display: inline;
		}

		div.context ol.context-line li {
			color: #464646;
			background-color: #dfdfdf;
			padding: 3px 2px;
		}

		div.context ol.context-line li span {
			position: absolute;
			right: 32px;
		}

		.user div.context ol.context-line li {
			background-color: #bbb;
			color: #000;
		}

		.user div.context ol li {
			color: #666;
		}

		div.commands {
			margin-left: 40px;
		}

		div.commands a {
			color: #555;
			text-decoration: none;
		}

		.user div.commands a {
			color: black;
		}

		#summary {
			background: #ffc;
		}

		#summary h2 {
			font-weight: normal;
			color: #666;
		}

		#explanation {
			background: #eee;
		}

		#template,
		#template-not-exist {
			background: #f6f6f6;
		}

		#template-not-exist ul {
			margin: 0 0 10px 20px;
		}

		#template-not-exist .postmortem-section {
			margin-bottom: 3px;
		}

		#unicode-hint {
			background: #eee;
		}

		#traceback {
			background: #eee;
		}

		#requestinfo {
			background: #f6f6f6;
			padding-left: 120px;
		}

		#summary table {
			border: none;
			background: transparent;
		}

		#requestinfo h2,
		#requestinfo h3 {
			position: relative;
			margin-left: -100px;
		}

		#requestinfo h3 {
			margin-bottom: -1em;
		}

		.error {
			background: #ffc;
		}

		.specific {
			color: #cc3300;
			font-weight: bold;
		}

		h2 span.commands {
			font-size: .7em;
			font-weight: normal;
		}

		span.commands a:link {
			color: #5E5694;
		}

		pre.exception_value {
			font-family: sans-serif;
			color: #575757;
			font-size: 1.5em;
			margin: 10px 0 10px 0;
		}

		.append-bottom {
			margin-bottom: 10px;
		}

		.fname {
			user-select: all;
		}
	</style>

	<script>
		function hideAll(elems) {
      for (var e = 0; e < elems.length; e++) {
        elems[e].style.display = 'none';
      }
    }
    window.onload = function() {
      hideAll(document.querySelectorAll('table.vars'));
      hideAll(document.querySelectorAll('ol.pre-context'));
      hideAll(document.querySelectorAll('ol.post-context'));
      hideAll(document.querySelectorAll('div.pastebin'));
    }
    function toggle() {
      for (var i = 0; i < arguments.length; i++) {
        var e = document.getElementById(arguments[i]);
        if (e) {
          e.style.display = e.style.display == 'none' ? 'block': 'none';
        }
      }
      return false;
    }
    function varToggle(link, id) {
      toggle('v' + id);
      var s = link.getElementsByTagName('span')[0];
      var uarr = String.fromCharCode(0x25b6);
      var darr = String.fromCharCode(0x25bc);
      s.textContent = s.textContent == uarr ? darr : uarr;
      return false;
    }
    function switchPastebinFriendly(link) {
      s1 = "Switch to copy-and-paste view";
      s2 = "Switch back to interactive view";
      link.textContent = link.textContent.trim() == s1 ? s2: s1;
      toggle('browserTraceback', 'pastebinTraceback');
      return false;
    }
	</script>

</head>

<body>
	<div id="summary">
		<h1>KeyError
			at /kobo/v2/autenticar/</h1>
		<pre class="exception_value">&#x27;profile&#x27;</pre>
		<table class="meta">

			<tr>
				<th>Request Method:</th>
				<td>POST</td>
			</tr>
			<tr>
				<th>Request URL:</th>
				<td>http://vtex-adapter.lc.evafactory.com.br/kobo/v2/autenticar/</td>
			</tr>

			<tr>
				<th>Django Version:</th>
				<td>3.1</td>
			</tr>

			<tr>
				<th>Exception Type:</th>
				<td>KeyError</td>
			</tr>


			<tr>
				<th>Exception Value:</th>
				<td>
					<pre>&#x27;profile&#x27;</pre>
				</td>
			</tr>


			<tr>
				<th>Exception Location:</th>
				<td><span class="fname">/app/src/views/kobo_v2/autenticar_kobo.py</span>, line 22, in post</td>
			</tr>

			<tr>
				<th>Python Executable:</th>
				<td>/usr/local/bin/python</td>
			</tr>
			<tr>
				<th>Python Version:</th>
				<td>3.6.10</td>
			</tr>
			<tr>
				<th>Python Path:</th>
				<td>
					<pre>[&#x27;/app/src&#x27;,
 &#x27;/app/src&#x27;,
 &#x27;/usr/local/bin&#x27;,
 &#x27;/usr/local/lib/python36.zip&#x27;,
 &#x27;/usr/local/lib/python3.6&#x27;,
 &#x27;/usr/local/lib/python3.6/lib-dynload&#x27;,
 &#x27;/usr/local/lib/python3.6/site-packages&#x27;]</pre>
				</td>
			</tr>
			<tr>
				<th>Server time:</th>
				<td>Tue, 13 Oct 2020 10:13:08 -0300</td>
			</tr>
		</table>
	</div>




	<div id="traceback">
		<h2>Traceback <span class="commands"><a href="#" onclick="return switchPastebinFriendly(this);">
    Switch to copy-and-paste view</a></span>
		</h2>
		<div id="browserTraceback">
			<ul class="traceback">


				<li class="frame django">
					<code class="fname">/usr/local/lib/python3.6/site-packages/django/core/handlers/exception.py</code>,
					line 47, in inner


					<div class="context" id="c140491972255560">

						<ol start="40" class="pre-context" id="pre140491972255560">

							<li onclick="toggle('pre140491972255560', 'post140491972255560')">
								<pre>                response = await sync_to_async(response_for_exception)(request, exc)</pre>
							</li>

							<li onclick="toggle('pre140491972255560', 'post140491972255560')">
								<pre>            return response</pre>
							</li>

							<li onclick="toggle('pre140491972255560', 'post140491972255560')">
								<pre>        return inner</pre>
							</li>

							<li onclick="toggle('pre140491972255560', 'post140491972255560')">
								<pre>    else:</pre>
							</li>

							<li onclick="toggle('pre140491972255560', 'post140491972255560')">
								<pre>        @wraps(get_response)</pre>
							</li>

							<li onclick="toggle('pre140491972255560', 'post140491972255560')">
								<pre>        def inner(request):</pre>
							</li>

							<li onclick="toggle('pre140491972255560', 'post140491972255560')">
								<pre>            try:</pre>
							</li>

						</ol>

						<ol start="47" class="context-line">
							<li onclick="toggle('pre140491972255560', 'post140491972255560')">
								<pre>                response = get_response(request)</pre> <span>…</span></li>
						</ol>

						<ol start='48' class="post-context" id="post140491972255560">

							<li onclick="toggle('pre140491972255560', 'post140491972255560')">
								<pre>            except Exception as exc:</pre>
							</li>

							<li onclick="toggle('pre140491972255560', 'post140491972255560')">
								<pre>                response = response_for_exception(request, exc)</pre>
							</li>

							<li onclick="toggle('pre140491972255560', 'post140491972255560')">
								<pre>            return response</pre>
							</li>

							<li onclick="toggle('pre140491972255560', 'post140491972255560')">
								<pre>        return inner</pre>
							</li>

							<li onclick="toggle('pre140491972255560', 'post140491972255560')">
								<pre></pre>
							</li>

							<li onclick="toggle('pre140491972255560', 'post140491972255560')">
								<pre></pre>
							</li>

						</ol>

					</div>



					<div class="commands">

						<a href="#" onclick="return varToggle(this, '140491972255560')"><span>&#x25b6;</span> Local
							vars</a>

					</div>
					<table class="vars" id="v140491972255560">
						<thead>
							<tr>
								<th>Variable</th>
								<th>Value</th>
							</tr>
						</thead>
						<tbody>

							<tr>
								<td>exc</td>
								<td class="code">
									<pre>KeyError(&#x27;profile&#x27;,)</pre>
								</td>
							</tr>

							<tr>
								<td>get_response</td>
								<td class="code">
									<pre>&lt;bound method BaseHandler._get_response of &lt;django.core.handlers.wsgi.WSGIHandler object at 0x7fc6d7351400&gt;&gt;</pre>
								</td>
							</tr>

							<tr>
								<td>request</td>
								<td class="code">
									<pre>&lt;WSGIRequest: POST &#x27;/kobo/v2/autenticar/&#x27;&gt;</pre>
								</td>
							</tr>

						</tbody>
					</table>

				</li>


				<li class="frame django">
					<code class="fname">/usr/local/lib/python3.6/site-packages/django/core/handlers/base.py</code>, line
					179, in _get_response


					<div class="context" id="c140491972252488">

						<ol start="172" class="pre-context" id="pre140491972252488">

							<li onclick="toggle('pre140491972252488', 'post140491972252488')">
								<pre></pre>
							</li>

							<li onclick="toggle('pre140491972252488', 'post140491972252488')">
								<pre>        if response is None:</pre>
							</li>

							<li onclick="toggle('pre140491972252488', 'post140491972252488')">
								<pre>            wrapped_callback = self.make_view_atomic(callback)</pre>
							</li>

							<li onclick="toggle('pre140491972252488', 'post140491972252488')">
								<pre>            # If it is an asynchronous view, run it in a subthread.</pre>
							</li>

							<li onclick="toggle('pre140491972252488', 'post140491972252488')">
								<pre>            if asyncio.iscoroutinefunction(wrapped_callback):</pre>
							</li>

							<li onclick="toggle('pre140491972252488', 'post140491972252488')">
								<pre>                wrapped_callback = async_to_sync(wrapped_callback)</pre>
							</li>

							<li onclick="toggle('pre140491972252488', 'post140491972252488')">
								<pre>            try:</pre>
							</li>

						</ol>

						<ol start="179" class="context-line">
							<li onclick="toggle('pre140491972252488', 'post140491972252488')">
								<pre>                response = wrapped_callback(request, *callback_args, **callback_kwargs)</pre>
								<span>…</span></li>
						</ol>

						<ol start='180' class="post-context" id="post140491972252488">

							<li onclick="toggle('pre140491972252488', 'post140491972252488')">
								<pre>            except Exception as e:</pre>
							</li>

							<li onclick="toggle('pre140491972252488', 'post140491972252488')">
								<pre>                response = self.process_exception_by_middleware(e, request)</pre>
							</li>

							<li onclick="toggle('pre140491972252488', 'post140491972252488')">
								<pre>                if response is None:</pre>
							</li>

							<li onclick="toggle('pre140491972252488', 'post140491972252488')">
								<pre>                    raise</pre>
							</li>

							<li onclick="toggle('pre140491972252488', 'post140491972252488')">
								<pre></pre>
							</li>

							<li onclick="toggle('pre140491972252488', 'post140491972252488')">
								<pre>        # Complain if the view returned None (a common error).</pre>
							</li>

						</ol>

					</div>



					<div class="commands">

						<a href="#" onclick="return varToggle(this, '140491972252488')"><span>&#x25b6;</span> Local
							vars</a>

					</div>
					<table class="vars" id="v140491972252488">
						<thead>
							<tr>
								<th>Variable</th>
								<th>Value</th>
							</tr>
						</thead>
						<tbody>

							<tr>
								<td>callback</td>
								<td class="code">
									<pre>&lt;function AutenticarKoboView at 0x7fc6d6355158&gt;</pre>
								</td>
							</tr>

							<tr>
								<td>callback_args</td>
								<td class="code">
									<pre>()</pre>
								</td>
							</tr>

							<tr>
								<td>callback_kwargs</td>
								<td class="code">
									<pre>{}</pre>
								</td>
							</tr>

							<tr>
								<td>middleware_method</td>
								<td class="code">
									<pre>&lt;bound method TracingMiddleware.process_view of &lt;elasticapm.contrib.django.middleware.TracingMiddleware object at 0x7fc6d73514a8&gt;&gt;</pre>
								</td>
							</tr>

							<tr>
								<td>request</td>
								<td class="code">
									<pre>&lt;WSGIRequest: POST &#x27;/kobo/v2/autenticar/&#x27;&gt;</pre>
								</td>
							</tr>

							<tr>
								<td>response</td>
								<td class="code">
									<pre>None</pre>
								</td>
							</tr>

							<tr>
								<td>self</td>
								<td class="code">
									<pre>&lt;django.core.handlers.wsgi.WSGIHandler object at 0x7fc6d7351400&gt;</pre>
								</td>
							</tr>

							<tr>
								<td>wrapped_callback</td>
								<td class="code">
									<pre>&lt;function AutenticarKoboView at 0x7fc6d6355158&gt;</pre>
								</td>
							</tr>

						</tbody>
					</table>

				</li>


				<li class="frame django">
					<code class="fname">/usr/local/lib/python3.6/site-packages/django/views/decorators/csrf.py</code>,
					line 54, in wrapped_view


					<div class="context" id="c140491972255432">

						<ol start="47" class="pre-context" id="pre140491972255432">

							<li onclick="toggle('pre140491972255432', 'post140491972255432')">
								<pre></pre>
							</li>

							<li onclick="toggle('pre140491972255432', 'post140491972255432')">
								<pre></pre>
							</li>

							<li onclick="toggle('pre140491972255432', 'post140491972255432')">
								<pre>def csrf_exempt(view_func):</pre>
							</li>

							<li onclick="toggle('pre140491972255432', 'post140491972255432')">
								<pre>    &quot;&quot;&quot;Mark a view function as being exempt from the CSRF view protection.&quot;&quot;&quot;</pre>
							</li>

							<li onclick="toggle('pre140491972255432', 'post140491972255432')">
								<pre>    # view_func.csrf_exempt = True would also work, but decorators are nicer</pre>
							</li>

							<li onclick="toggle('pre140491972255432', 'post140491972255432')">
								<pre>    # if they don&#x27;t have side effects, so return a new function.</pre>
							</li>

							<li onclick="toggle('pre140491972255432', 'post140491972255432')">
								<pre>    def wrapped_view(*args, **kwargs):</pre>
							</li>

						</ol>

						<ol start="54" class="context-line">
							<li onclick="toggle('pre140491972255432', 'post140491972255432')">
								<pre>        return view_func(*args, **kwargs)</pre> <span>…</span></li>
						</ol>

						<ol start='55' class="post-context" id="post140491972255432">

							<li onclick="toggle('pre140491972255432', 'post140491972255432')">
								<pre>    wrapped_view.csrf_exempt = True</pre>
							</li>

							<li onclick="toggle('pre140491972255432', 'post140491972255432')">
								<pre>    return wraps(view_func)(wrapped_view)</pre>
							</li>

						</ol>

					</div>



					<div class="commands">

						<a href="#" onclick="return varToggle(this, '140491972255432')"><span>&#x25b6;</span> Local
							vars</a>

					</div>
					<table class="vars" id="v140491972255432">
						<thead>
							<tr>
								<th>Variable</th>
								<th>Value</th>
							</tr>
						</thead>
						<tbody>

							<tr>
								<td>args</td>
								<td class="code">
									<pre>(&lt;WSGIRequest: POST &#x27;/kobo/v2/autenticar/&#x27;&gt;,)</pre>
								</td>
							</tr>

							<tr>
								<td>kwargs</td>
								<td class="code">
									<pre>{}</pre>
								</td>
							</tr>

							<tr>
								<td>view_func</td>
								<td class="code">
									<pre>&lt;function AutenticarKoboView at 0x7fc6d63550d0&gt;</pre>
								</td>
							</tr>

						</tbody>
					</table>

				</li>


				<li class="frame django">
					<code class="fname">/usr/local/lib/python3.6/site-packages/django/views/generic/base.py</code>, line
					73, in view


					<div class="context" id="c140491972253384">

						<ol start="66" class="pre-context" id="pre140491972253384">

							<li onclick="toggle('pre140491972253384', 'post140491972253384')">
								<pre>            self = cls(**initkwargs)</pre>
							</li>

							<li onclick="toggle('pre140491972253384', 'post140491972253384')">
								<pre>            self.setup(request, *args, **kwargs)</pre>
							</li>

							<li onclick="toggle('pre140491972253384', 'post140491972253384')">
								<pre>            if not hasattr(self, &#x27;request&#x27;):</pre>
							</li>

							<li onclick="toggle('pre140491972253384', 'post140491972253384')">
								<pre>                raise AttributeError(</pre>
							</li>

							<li onclick="toggle('pre140491972253384', 'post140491972253384')">
								<pre>                    &quot;%s instance has no &#x27;request&#x27; attribute. Did you override &quot;</pre>
							</li>

							<li onclick="toggle('pre140491972253384', 'post140491972253384')">
								<pre>                    &quot;setup() and forget to call super()?&quot; % cls.__name__</pre>
							</li>

							<li onclick="toggle('pre140491972253384', 'post140491972253384')">
								<pre>                )</pre>
							</li>

						</ol>

						<ol start="73" class="context-line">
							<li onclick="toggle('pre140491972253384', 'post140491972253384')">
								<pre>            return self.dispatch(request, *args, **kwargs)</pre> <span>…</span>
							</li>
						</ol>

						<ol start='74' class="post-context" id="post140491972253384">

							<li onclick="toggle('pre140491972253384', 'post140491972253384')">
								<pre>        view.view_class = cls</pre>
							</li>

							<li onclick="toggle('pre140491972253384', 'post140491972253384')">
								<pre>        view.view_initkwargs = initkwargs</pre>
							</li>

							<li onclick="toggle('pre140491972253384', 'post140491972253384')">
								<pre></pre>
							</li>

							<li onclick="toggle('pre140491972253384', 'post140491972253384')">
								<pre>        # take name and docstring from class</pre>
							</li>

							<li onclick="toggle('pre140491972253384', 'post140491972253384')">
								<pre>        update_wrapper(view, cls, updated=())</pre>
							</li>

							<li onclick="toggle('pre140491972253384', 'post140491972253384')">
								<pre></pre>
							</li>

						</ol>

					</div>



					<div class="commands">

						<a href="#" onclick="return varToggle(this, '140491972253384')"><span>&#x25b6;</span> Local
							vars</a>

					</div>
					<table class="vars" id="v140491972253384">
						<thead>
							<tr>
								<th>Variable</th>
								<th>Value</th>
							</tr>
						</thead>
						<tbody>

							<tr>
								<td>args</td>
								<td class="code">
									<pre>()</pre>
								</td>
							</tr>

							<tr>
								<td>cls</td>
								<td class="code">
									<pre>&lt;class &#x27;views.kobo_v2.autenticar_kobo.AutenticarKoboView&#x27;&gt;</pre>
								</td>
							</tr>

							<tr>
								<td>initkwargs</td>
								<td class="code">
									<pre>{}</pre>
								</td>
							</tr>

							<tr>
								<td>kwargs</td>
								<td class="code">
									<pre>{}</pre>
								</td>
							</tr>

							<tr>
								<td>request</td>
								<td class="code">
									<pre>&lt;WSGIRequest: POST &#x27;/kobo/v2/autenticar/&#x27;&gt;</pre>
								</td>
							</tr>

							<tr>
								<td>self</td>
								<td class="code">
									<pre>&lt;views.kobo_v2.autenticar_kobo.AutenticarKoboView object at 0x7fc6d629e9e8&gt;</pre>
								</td>
							</tr>

						</tbody>
					</table>

				</li>


				<li class="frame user">
					<code class="fname">/usr/local/lib/python3.6/site-packages/rest_framework/views.py</code>, line 505,
					in dispatch


					<div class="context" id="c140491972252552">

						<ol start="498" class="pre-context" id="pre140491972252552">

							<li onclick="toggle('pre140491972252552', 'post140491972252552')">
								<pre>                                  self.http_method_not_allowed)</pre>
							</li>

							<li onclick="toggle('pre140491972252552', 'post140491972252552')">
								<pre>            else:</pre>
							</li>

							<li onclick="toggle('pre140491972252552', 'post140491972252552')">
								<pre>                handler = self.http_method_not_allowed</pre>
							</li>

							<li onclick="toggle('pre140491972252552', 'post140491972252552')">
								<pre></pre>
							</li>

							<li onclick="toggle('pre140491972252552', 'post140491972252552')">
								<pre>            response = handler(request, *args, **kwargs)</pre>
							</li>

							<li onclick="toggle('pre140491972252552', 'post140491972252552')">
								<pre></pre>
							</li>

							<li onclick="toggle('pre140491972252552', 'post140491972252552')">
								<pre>        except Exception as exc:</pre>
							</li>

						</ol>

						<ol start="505" class="context-line">
							<li onclick="toggle('pre140491972252552', 'post140491972252552')">
								<pre>            response = self.handle_exception(exc)</pre> <span>…</span></li>
						</ol>

						<ol start='506' class="post-context" id="post140491972252552">

							<li onclick="toggle('pre140491972252552', 'post140491972252552')">
								<pre></pre>
							</li>

							<li onclick="toggle('pre140491972252552', 'post140491972252552')">
								<pre>        self.response = self.finalize_response(request, response, *args, **kwargs)</pre>
							</li>

							<li onclick="toggle('pre140491972252552', 'post140491972252552')">
								<pre>        return self.response</pre>
							</li>

							<li onclick="toggle('pre140491972252552', 'post140491972252552')">
								<pre></pre>
							</li>

							<li onclick="toggle('pre140491972252552', 'post140491972252552')">
								<pre>    def options(self, request, *args, **kwargs):</pre>
							</li>

							<li onclick="toggle('pre140491972252552', 'post140491972252552')">
								<pre>        &quot;&quot;&quot;</pre>
							</li>

						</ol>

					</div>



					<div class="commands">

						<a href="#" onclick="return varToggle(this, '140491972252552')"><span>&#x25b6;</span> Local
							vars</a>

					</div>
					<table class="vars" id="v140491972252552">
						<thead>
							<tr>
								<th>Variable</th>
								<th>Value</th>
							</tr>
						</thead>
						<tbody>

							<tr>
								<td>args</td>
								<td class="code">
									<pre>()</pre>
								</td>
							</tr>

							<tr>
								<td>handler</td>
								<td class="code">
									<pre>&lt;bound method AutenticarKoboView.post of &lt;views.kobo_v2.autenticar_kobo.AutenticarKoboView object at 0x7fc6d629e9e8&gt;&gt;</pre>
								</td>
							</tr>

							<tr>
								<td>kwargs</td>
								<td class="code">
									<pre>{}</pre>
								</td>
							</tr>

							<tr>
								<td>request</td>
								<td class="code">
									<pre>&lt;rest_framework.request.Request object at 0x7fc6d629e7f0&gt;</pre>
								</td>
							</tr>

							<tr>
								<td>self</td>
								<td class="code">
									<pre>&lt;views.kobo_v2.autenticar_kobo.AutenticarKoboView object at 0x7fc6d629e9e8&gt;</pre>
								</td>
							</tr>

						</tbody>
					</table>

				</li>


				<li class="frame user">
					<code class="fname">/usr/local/lib/python3.6/site-packages/rest_framework/views.py</code>, line 465,
					in handle_exception


					<div class="context" id="c140491972252360">

						<ol start="458" class="pre-context" id="pre140491972252360">

							<li onclick="toggle('pre140491972252360', 'post140491972252360')">
								<pre></pre>
							</li>

							<li onclick="toggle('pre140491972252360', 'post140491972252360')">
								<pre>        exception_handler = self.get_exception_handler()</pre>
							</li>

							<li onclick="toggle('pre140491972252360', 'post140491972252360')">
								<pre></pre>
							</li>

							<li onclick="toggle('pre140491972252360', 'post140491972252360')">
								<pre>        context = self.get_exception_handler_context()</pre>
							</li>

							<li onclick="toggle('pre140491972252360', 'post140491972252360')">
								<pre>        response = exception_handler(exc, context)</pre>
							</li>

							<li onclick="toggle('pre140491972252360', 'post140491972252360')">
								<pre></pre>
							</li>

							<li onclick="toggle('pre140491972252360', 'post140491972252360')">
								<pre>        if response is None:</pre>
							</li>

						</ol>

						<ol start="465" class="context-line">
							<li onclick="toggle('pre140491972252360', 'post140491972252360')">
								<pre>            self.raise_uncaught_exception(exc)</pre> <span>…</span></li>
						</ol>

						<ol start='466' class="post-context" id="post140491972252360">

							<li onclick="toggle('pre140491972252360', 'post140491972252360')">
								<pre></pre>
							</li>

							<li onclick="toggle('pre140491972252360', 'post140491972252360')">
								<pre>        response.exception = True</pre>
							</li>

							<li onclick="toggle('pre140491972252360', 'post140491972252360')">
								<pre>        return response</pre>
							</li>

							<li onclick="toggle('pre140491972252360', 'post140491972252360')">
								<pre></pre>
							</li>

							<li onclick="toggle('pre140491972252360', 'post140491972252360')">
								<pre>    def raise_uncaught_exception(self, exc):</pre>
							</li>

							<li onclick="toggle('pre140491972252360', 'post140491972252360')">
								<pre>        if settings.DEBUG:</pre>
							</li>

						</ol>

					</div>



					<div class="commands">

						<a href="#" onclick="return varToggle(this, '140491972252360')"><span>&#x25b6;</span> Local
							vars</a>

					</div>
					<table class="vars" id="v140491972252360">
						<thead>
							<tr>
								<th>Variable</th>
								<th>Value</th>
							</tr>
						</thead>
						<tbody>

							<tr>
								<td>context</td>
								<td class="code">
									<pre>{&#x27;args&#x27;: (),
 &#x27;kwargs&#x27;: {},
 &#x27;request&#x27;: &lt;rest_framework.request.Request object at 0x7fc6d629e7f0&gt;,
 &#x27;view&#x27;: &lt;views.kobo_v2.autenticar_kobo.AutenticarKoboView object at 0x7fc6d629e9e8&gt;}</pre>
								</td>
							</tr>

							<tr>
								<td>exc</td>
								<td class="code">
									<pre>KeyError(&#x27;profile&#x27;,)</pre>
								</td>
							</tr>

							<tr>
								<td>exception_handler</td>
								<td class="code">
									<pre>&lt;function exception_handler at 0x7fc6d860d048&gt;</pre>
								</td>
							</tr>

							<tr>
								<td>response</td>
								<td class="code">
									<pre>None</pre>
								</td>
							</tr>

							<tr>
								<td>self</td>
								<td class="code">
									<pre>&lt;views.kobo_v2.autenticar_kobo.AutenticarKoboView object at 0x7fc6d629e9e8&gt;</pre>
								</td>
							</tr>

						</tbody>
					</table>

				</li>


				<li class="frame user">
					<code class="fname">/usr/local/lib/python3.6/site-packages/rest_framework/views.py</code>, line 476,
					in raise_uncaught_exception


					<div class="context" id="c140491972252168">

						<ol start="469" class="pre-context" id="pre140491972252168">

							<li onclick="toggle('pre140491972252168', 'post140491972252168')">
								<pre></pre>
							</li>

							<li onclick="toggle('pre140491972252168', 'post140491972252168')">
								<pre>    def raise_uncaught_exception(self, exc):</pre>
							</li>

							<li onclick="toggle('pre140491972252168', 'post140491972252168')">
								<pre>        if settings.DEBUG:</pre>
							</li>

							<li onclick="toggle('pre140491972252168', 'post140491972252168')">
								<pre>            request = self.request</pre>
							</li>

							<li onclick="toggle('pre140491972252168', 'post140491972252168')">
								<pre>            renderer_format = getattr(request.accepted_renderer, &#x27;format&#x27;)</pre>
							</li>

							<li onclick="toggle('pre140491972252168', 'post140491972252168')">
								<pre>            use_plaintext_traceback = renderer_format not in (&#x27;html&#x27;, &#x27;api&#x27;, &#x27;admin&#x27;)</pre>
							</li>

							<li onclick="toggle('pre140491972252168', 'post140491972252168')">
								<pre>            request.force_plaintext_errors(use_plaintext_traceback)</pre>
							</li>

						</ol>

						<ol start="476" class="context-line">
							<li onclick="toggle('pre140491972252168', 'post140491972252168')">
								<pre>        raise exc</pre> <span>…</span></li>
						</ol>

						<ol start='477' class="post-context" id="post140491972252168">

							<li onclick="toggle('pre140491972252168', 'post140491972252168')">
								<pre></pre>
							</li>

							<li onclick="toggle('pre140491972252168', 'post140491972252168')">
								<pre>    # Note: Views are made CSRF exempt from within `as_view` as to prevent</pre>
							</li>

							<li onclick="toggle('pre140491972252168', 'post140491972252168')">
								<pre>    # accidental removal of this exemption in cases where `dispatch` needs to</pre>
							</li>

							<li onclick="toggle('pre140491972252168', 'post140491972252168')">
								<pre>    # be overridden.</pre>
							</li>

							<li onclick="toggle('pre140491972252168', 'post140491972252168')">
								<pre>    def dispatch(self, request, *args, **kwargs):</pre>
							</li>

							<li onclick="toggle('pre140491972252168', 'post140491972252168')">
								<pre>        &quot;&quot;&quot;</pre>
							</li>

						</ol>

					</div>



					<div class="commands">

						<a href="#" onclick="return varToggle(this, '140491972252168')"><span>&#x25b6;</span> Local
							vars</a>

					</div>
					<table class="vars" id="v140491972252168">
						<thead>
							<tr>
								<th>Variable</th>
								<th>Value</th>
							</tr>
						</thead>
						<tbody>

							<tr>
								<td>exc</td>
								<td class="code">
									<pre>KeyError(&#x27;profile&#x27;,)</pre>
								</td>
							</tr>

							<tr>
								<td>renderer_format</td>
								<td class="code">
									<pre>&#x27;json&#x27;</pre>
								</td>
							</tr>

							<tr>
								<td>request</td>
								<td class="code">
									<pre>&lt;rest_framework.request.Request object at 0x7fc6d629e7f0&gt;</pre>
								</td>
							</tr>

							<tr>
								<td>self</td>
								<td class="code">
									<pre>&lt;views.kobo_v2.autenticar_kobo.AutenticarKoboView object at 0x7fc6d629e9e8&gt;</pre>
								</td>
							</tr>

							<tr>
								<td>use_plaintext_traceback</td>
								<td class="code">
									<pre>True</pre>
								</td>
							</tr>

						</tbody>
					</table>

				</li>


				<li class="frame user">
					<code class="fname">/usr/local/lib/python3.6/site-packages/rest_framework/views.py</code>, line 502,
					in dispatch


					<div class="context" id="c140491973597000">

						<ol start="495" class="pre-context" id="pre140491973597000">

							<li onclick="toggle('pre140491973597000', 'post140491973597000')">
								<pre>            # Get the appropriate handler method</pre>
							</li>

							<li onclick="toggle('pre140491973597000', 'post140491973597000')">
								<pre>            if request.method.lower() in self.http_method_names:</pre>
							</li>

							<li onclick="toggle('pre140491973597000', 'post140491973597000')">
								<pre>                handler = getattr(self, request.method.lower(),</pre>
							</li>

							<li onclick="toggle('pre140491973597000', 'post140491973597000')">
								<pre>                                  self.http_method_not_allowed)</pre>
							</li>

							<li onclick="toggle('pre140491973597000', 'post140491973597000')">
								<pre>            else:</pre>
							</li>

							<li onclick="toggle('pre140491973597000', 'post140491973597000')">
								<pre>                handler = self.http_method_not_allowed</pre>
							</li>

							<li onclick="toggle('pre140491973597000', 'post140491973597000')">
								<pre></pre>
							</li>

						</ol>

						<ol start="502" class="context-line">
							<li onclick="toggle('pre140491973597000', 'post140491973597000')">
								<pre>            response = handler(request, *args, **kwargs)</pre> <span>…</span></li>
						</ol>

						<ol start='503' class="post-context" id="post140491973597000">

							<li onclick="toggle('pre140491973597000', 'post140491973597000')">
								<pre></pre>
							</li>

							<li onclick="toggle('pre140491973597000', 'post140491973597000')">
								<pre>        except Exception as exc:</pre>
							</li>

							<li onclick="toggle('pre140491973597000', 'post140491973597000')">
								<pre>            response = self.handle_exception(exc)</pre>
							</li>

							<li onclick="toggle('pre140491973597000', 'post140491973597000')">
								<pre></pre>
							</li>

							<li onclick="toggle('pre140491973597000', 'post140491973597000')">
								<pre>        self.response = self.finalize_response(request, response, *args, **kwargs)</pre>
							</li>

							<li onclick="toggle('pre140491973597000', 'post140491973597000')">
								<pre>        return self.response</pre>
							</li>

						</ol>

					</div>



					<div class="commands">

						<a href="#" onclick="return varToggle(this, '140491973597000')"><span>&#x25b6;</span> Local
							vars</a>

					</div>
					<table class="vars" id="v140491973597000">
						<thead>
							<tr>
								<th>Variable</th>
								<th>Value</th>
							</tr>
						</thead>
						<tbody>

							<tr>
								<td>args</td>
								<td class="code">
									<pre>()</pre>
								</td>
							</tr>

							<tr>
								<td>handler</td>
								<td class="code">
									<pre>&lt;bound method AutenticarKoboView.post of &lt;views.kobo_v2.autenticar_kobo.AutenticarKoboView object at 0x7fc6d629e9e8&gt;&gt;</pre>
								</td>
							</tr>

							<tr>
								<td>kwargs</td>
								<td class="code">
									<pre>{}</pre>
								</td>
							</tr>

							<tr>
								<td>request</td>
								<td class="code">
									<pre>&lt;rest_framework.request.Request object at 0x7fc6d629e7f0&gt;</pre>
								</td>
							</tr>

							<tr>
								<td>self</td>
								<td class="code">
									<pre>&lt;views.kobo_v2.autenticar_kobo.AutenticarKoboView object at 0x7fc6d629e9e8&gt;</pre>
								</td>
							</tr>

						</tbody>
					</table>

				</li>


				<li class="frame user">
					<code class="fname">/app/src/views/kobo_v2/autenticar_kobo.py</code>, line 22, in post


					<div class="context" id="c140491974032520">

						<ol start="15" class="pre-context" id="pre140491974032520">

							<li onclick="toggle('pre140491974032520', 'post140491974032520')">
								<pre>    def post(self, request):</pre>
							</li>

							<li onclick="toggle('pre140491974032520', 'post140491974032520')">
								<pre>        vtex_session = request.data.get(&#x27;vtex_session&#x27;)</pre>
							</li>

							<li onclick="toggle('pre140491974032520', 'post140491974032520')">
								<pre>        logger.info(&#x27;AutenticarClienteKobo inicio.&#x27;, extra={&#x27;req&#x27;: request, &#x27;session&#x27;: vtex_session})</pre>
							</li>

							<li onclick="toggle('pre140491974032520', 'post140491974032520')">
								<pre>        r = requests.get(f&#x27;{vtex.VTEX_SESSION}/{vtex_session}?items=*&#x27;, headers=vtex.VTEX_HEADERS)</pre>
							</li>

							<li onclick="toggle('pre140491974032520', 'post140491974032520')">
								<pre>        dados_session = r.json()</pre>
							</li>

							<li onclick="toggle('pre140491974032520', 'post140491974032520')">
								<pre></pre>
							</li>

							<li onclick="toggle('pre140491974032520', 'post140491974032520')">
								<pre>        autenticado = dados_session[&#x27;namespaces&#x27;][&#x27;profile&#x27;][&#x27;isAuthenticated&#x27;][&#x27;value&#x27;] == &#x27;true&#x27; \</pre>
							</li>

						</ol>

						<ol start="22" class="context-line">
							<li onclick="toggle('pre140491974032520', 'post140491974032520')">
								<pre>            if dados_session != {} else False</pre> <span>…</span></li>
						</ol>

						<ol start='23' class="post-context" id="post140491974032520">

							<li onclick="toggle('pre140491974032520', 'post140491974032520')">
								<pre></pre>
							</li>

							<li onclick="toggle('pre140491974032520', 'post140491974032520')">
								<pre>        logger.info(&#x27;VTEX session: %s&#x27;, dados_session)</pre>
							</li>

							<li onclick="toggle('pre140491974032520', 'post140491974032520')">
								<pre></pre>
							</li>

							<li onclick="toggle('pre140491974032520', 'post140491974032520')">
								<pre>        if not autenticado:</pre>
							</li>

							<li onclick="toggle('pre140491974032520', 'post140491974032520')">
								<pre>            return HttpResponse(status=status.HTTP_401_UNAUTHORIZED)</pre>
							</li>

							<li onclick="toggle('pre140491974032520', 'post140491974032520')">
								<pre></pre>
							</li>

						</ol>

					</div>



					<div class="commands">

						<a href="#" onclick="return varToggle(this, '140491974032520')"><span>&#x25b6;</span> Local
							vars</a>

					</div>
					<table class="vars" id="v140491974032520">
						<thead>
							<tr>
								<th>Variable</th>
								<th>Value</th>
							</tr>
						</thead>
						<tbody>

							<tr>
								<td>dados_session</td>
								<td class="code">
									<pre>{&#x27;id&#x27;: &#x27;2279aede-ee49-4463-9b9e-8b22dfd8be62&#x27;,
 &#x27;namespaces&#x27;: {&#x27;account&#x27;: {&#x27;accountName&#x27;: {&#x27;value&#x27;: &#x27;livrariacultura&#x27;},
                            &#x27;id&#x27;: {&#x27;keepAlive&#x27;: True,
                                   &#x27;value&#x27;: &#x27;45d23dca-d4c7-44e5-ace5-389f8005292f&#x27;}},
                &#x27;store&#x27;: {&#x27;channel&#x27;: {&#x27;value&#x27;: &#x27;1&#x27;},
                          &#x27;countryCode&#x27;: {&#x27;value&#x27;: &#x27;BRA&#x27;},
                          &#x27;cultureInfo&#x27;: {&#x27;value&#x27;: &#x27;pt-BR&#x27;},
                          &#x27;currencyCode&#x27;: {&#x27;value&#x27;: &#x27;BRL&#x27;},
                          &#x27;currencySymbol&#x27;: {&#x27;value&#x27;: &#x27;R$&#x27;}}}}</pre>
								</td>
							</tr>

							<tr>
								<td>r</td>
								<td class="code">
									<pre>&lt;Response [200]&gt;</pre>
								</td>
							</tr>

							<tr>
								<td>request</td>
								<td class="code">
									<pre>&lt;rest_framework.request.Request object at 0x7fc6d629e7f0&gt;</pre>
								</td>
							</tr>

							<tr>
								<td>self</td>
								<td class="code">
									<pre>&lt;views.kobo_v2.autenticar_kobo.AutenticarKoboView object at 0x7fc6d629e9e8&gt;</pre>
								</td>
							</tr>

							<tr>
								<td>vtex_session</td>
								<td class="code">
									<pre>&#x27;eyJhbGciOiJFUzI1NiIsImtpZCI6Ijg1M0I5NDFCODZCNUM4NUQ5NTAzREMwN0M3QjQ0OEE0NjQ5QkVCMzYiLCJ0eXAiOiJqd3QifQ.eyJhY2NvdW50LmlkIjoiNDVkMjNkY2EtZDRjNy00NGU1LWFjZTUtMzg5ZjgwMDUyOTJmIiwiaWQiOiIyMjc5YWVkZS1lZTQ5LTQ0NjMtOWI5ZS04YjIyZGZkOGJlNjIiLCJ2ZXJzaW9uIjo0LCJzdWIiOiJzZXNzaW9uIiwiYWNjb3VudCI6InNlc3Npb24iLCJleHAiOjE2MDI2MTI5OTIsImlhdCI6MTYwMTkyMTc5MiwiaXNzIjoidG9rZW4tZW1pdHRlciIsImp0aSI6Ijg1NDIxMjc3LWYyOTEtNGE0NS04ZmMyLTgwOTI0OTdiMzA1ZSJ9.wg4PUkT0ppzaD8EtgGvsRnZEVnjaMVpAMAguQKrPyHF7XFwmpJZnpQQ-J58Lk3YXun_i1jpjtFypDqgSzXBc0w&#x27;</pre>
								</td>
							</tr>

						</tbody>
					</table>

				</li>

			</ul>
		</div>
		<form action="http://dpaste.com/" name="pasteform" id="pasteform" method="post">

			<div id="pastebinTraceback" class="pastebin">
				<input type="hidden" name="language" value="PythonConsole">
				<input type="hidden" name="title"
      value="KeyError at /kobo/v2/autenticar/">
				<input type="hidden" name="source" value="Django Dpaste Agent">
				<input type="hidden" name="poster" value="Django">
				<textarea name="content" id="traceback_area" cols="140" rows="25">
Environment:


Request Method: POST
Request URL: http://vtex-adapter.lc.evafactory.com.br/kobo/v2/autenticar/

Django Version: 3.1
Python Version: 3.6.10
Installed Applications:
(&#x27;evbase&#x27;,
 &#x27;base&#x27;,
 &#x27;apps.vtex_adapter&#x27;,
 &#x27;apps.controle&#x27;,
 &#x27;apps.barramento&#x27;,
 &#x27;events&#x27;,
 &#x27;django.contrib.auth&#x27;,
 &#x27;django.contrib.contenttypes&#x27;,
 &#x27;django.contrib.sessions&#x27;,
 &#x27;django.contrib.messages&#x27;,
 &#x27;django.contrib.staticfiles&#x27;,
 &#x27;rest_framework&#x27;,
 &#x27;drf_yasg&#x27;,
 &#x27;corsheaders&#x27;,
 &#x27;rest_framework.authtoken&#x27;,
 &#x27;elasticapm.contrib.django&#x27;)
Installed Middleware:
(&#x27;django.middleware.security.SecurityMiddleware&#x27;,
 &#x27;django.contrib.sessions.middleware.SessionMiddleware&#x27;,
 &#x27;corsheaders.middleware.CorsMiddleware&#x27;,
 &#x27;django.middleware.common.CommonMiddleware&#x27;,
 &#x27;django.middleware.csrf.CsrfViewMiddleware&#x27;,
 &#x27;django.contrib.auth.middleware.AuthenticationMiddleware&#x27;,
 &#x27;django.contrib.messages.middleware.MessageMiddleware&#x27;,
 &#x27;django.middleware.clickjacking.XFrameOptionsMiddleware&#x27;,
 &#x27;elasticapm.contrib.django.middleware.TracingMiddleware&#x27;)



Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/django/core/handlers/exception.py", line 47, in inner
    response = get_response(request)
  File "/usr/local/lib/python3.6/site-packages/django/core/handlers/base.py", line 179, in _get_response
    response = wrapped_callback(request, *callback_args, **callback_kwargs)
  File "/usr/local/lib/python3.6/site-packages/django/views/decorators/csrf.py", line 54, in wrapped_view
    return view_func(*args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/django/views/generic/base.py", line 73, in view
    return self.dispatch(request, *args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/rest_framework/views.py", line 505, in dispatch
    response = self.handle_exception(exc)
  File "/usr/local/lib/python3.6/site-packages/rest_framework/views.py", line 465, in handle_exception
    self.raise_uncaught_exception(exc)
  File "/usr/local/lib/python3.6/site-packages/rest_framework/views.py", line 476, in raise_uncaught_exception
    raise exc
  File "/usr/local/lib/python3.6/site-packages/rest_framework/views.py", line 502, in dispatch
    response = handler(request, *args, **kwargs)
  File "/app/src/views/kobo_v2/autenticar_kobo.py", line 22, in post
    if dados_session != {} else False

Exception Type: KeyError at /kobo/v2/autenticar/
Exception Value: &#x27;profile&#x27;
</textarea>
				<br><br>
				<input type="submit" value="Share this traceback on a public website">
  </div>
		</form>
	</div>



	<div id="requestinfo">
		<h2>Request information</h2>



		<h3 id="user-info">USER</h3>
		<p>AnonymousUser</p>


		<h3 id="get-info">GET</h3>

		<p>No GET data</p>


		<h3 id="post-info">POST</h3>

		<p>No POST data</p>

		<h3 id="files-info">FILES</h3>

		<p>No FILES data</p>



		<h3 id="cookie-info">COOKIES</h3>

		<p>No cookie data</p>


		<h3 id="meta-info">META</h3>
		<table class="req">
			<thead>
				<tr>
					<th>Variable</th>
					<th>Value</th>
				</tr>
			</thead>
			<tbody>

				<tr>
					<td>CONTENT_LENGTH</td>
					<td class="code">
						<pre>&#x27;596&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>CONTENT_TYPE</td>
					<td class="code">
						<pre>&#x27;application/json&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>HTTP_ACCEPT</td>
					<td class="code">
						<pre>&#x27;*/*&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>HTTP_ACCEPT_ENCODING</td>
					<td class="code">
						<pre>&#x27;gzip, deflate, br&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>HTTP_HOST</td>
					<td class="code">
						<pre>&#x27;vtex-adapter.lc.evafactory.com.br&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>HTTP_POSTMAN_TOKEN</td>
					<td class="code">
						<pre>&#x27;********************&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>HTTP_USER_AGENT</td>
					<td class="code">
						<pre>&#x27;PostmanRuntime/7.26.5&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>HTTP_X_FORWARDED_FOR</td>
					<td class="code">
						<pre>&#x27;10.200.15.192&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>HTTP_X_FORWARDED_HOST</td>
					<td class="code">
						<pre>&#x27;vtex-adapter.lc.evafactory.com.br&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>HTTP_X_FORWARDED_PORT</td>
					<td class="code">
						<pre>&#x27;80&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>HTTP_X_FORWARDED_PROTO</td>
					<td class="code">
						<pre>&#x27;http&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>HTTP_X_FORWARDED_SERVER</td>
					<td class="code">
						<pre>&#x27;traefik-64794c67dd-s4p2x&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>HTTP_X_REAL_IP</td>
					<td class="code">
						<pre>&#x27;10.200.15.192&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>PATH_INFO</td>
					<td class="code">
						<pre>&#x27;/kobo/v2/autenticar/&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>QUERY_STRING</td>
					<td class="code">
						<pre>&#x27;&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>RAW_URI</td>
					<td class="code">
						<pre>&#x27;/kobo/v2/autenticar/&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>REMOTE_ADDR</td>
					<td class="code">
						<pre>&#x27;10.208.0.4&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>REMOTE_PORT</td>
					<td class="code">
						<pre>&#x27;44172&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>REQUEST_METHOD</td>
					<td class="code">
						<pre>&#x27;POST&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>SCRIPT_NAME</td>
					<td class="code">
						<pre>&#x27;&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>SERVER_NAME</td>
					<td class="code">
						<pre>&#x27;0.0.0.0&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>SERVER_PORT</td>
					<td class="code">
						<pre>&#x27;8000&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>SERVER_PROTOCOL</td>
					<td class="code">
						<pre>&#x27;HTTP/1.1&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>SERVER_SOFTWARE</td>
					<td class="code">
						<pre>&#x27;gunicorn/20.0.4&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>gunicorn.socket</td>
					<td class="code">
						<pre>&lt;eventlet.greenio.base.GreenSocket object at 0x7fc6d8279ef0&gt;</pre>
					</td>
				</tr>

				<tr>
					<td>wsgi.errors</td>
					<td class="code">
						<pre>&lt;gunicorn.http.wsgi.WSGIErrorsWrapper object at 0x7fc6d629e978&gt;</pre>
					</td>
				</tr>

				<tr>
					<td>wsgi.file_wrapper</td>
					<td class="code">
						<pre>&lt;class &#x27;gunicorn.http.wsgi.FileWrapper&#x27;&gt;</pre>
					</td>
				</tr>

				<tr>
					<td>wsgi.input</td>
					<td class="code">
						<pre>&lt;gunicorn.http.body.Body object at 0x7fc6d619f2e8&gt;</pre>
					</td>
				</tr>

				<tr>
					<td>wsgi.input_terminated</td>
					<td class="code">
						<pre>True</pre>
					</td>
				</tr>

				<tr>
					<td>wsgi.multiprocess</td>
					<td class="code">
						<pre>True</pre>
					</td>
				</tr>

				<tr>
					<td>wsgi.multithread</td>
					<td class="code">
						<pre>True</pre>
					</td>
				</tr>

				<tr>
					<td>wsgi.run_once</td>
					<td class="code">
						<pre>False</pre>
					</td>
				</tr>

				<tr>
					<td>wsgi.url_scheme</td>
					<td class="code">
						<pre>&#x27;http&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>wsgi.version</td>
					<td class="code">
						<pre>(1, 0)</pre>
					</td>
				</tr>

			</tbody>
		</table>


		<h3 id="settings-info">Settings</h3>
		<h4>Using settings module <code>project.settings.production</code></h4>
		<table class="req">
			<thead>
				<tr>
					<th>Setting</th>
					<th>Value</th>
				</tr>
			</thead>
			<tbody>

				<tr>
					<td>ABSOLUTE_URL_OVERRIDES</td>
					<td class="code">
						<pre>{}</pre>
					</td>
				</tr>

				<tr>
					<td>ADMINS</td>
					<td class="code">
						<pre>[]</pre>
					</td>
				</tr>

				<tr>
					<td>ALLOWED_HOSTS</td>
					<td class="code">
						<pre>(&#x27;*&#x27;,)</pre>
					</td>
				</tr>

				<tr>
					<td>APPEND_SLASH</td>
					<td class="code">
						<pre>True</pre>
					</td>
				</tr>

				<tr>
					<td>AUTHENTICATION_BACKENDS</td>
					<td class="code">
						<pre>[&#x27;django.contrib.auth.backends.ModelBackend&#x27;]</pre>
					</td>
				</tr>

				<tr>
					<td>AUTH_PASSWORD_VALIDATORS</td>
					<td class="code">
						<pre>&#x27;********************&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>AUTH_USER_MODEL</td>
					<td class="code">
						<pre>&#x27;auth.User&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>BASE_DIR</td>
					<td class="code">
						<pre>&lt;Path:/app/src&gt;</pre>
					</td>
				</tr>

				<tr>
					<td>BROKER_POOL_LIMIT</td>
					<td class="code">
						<pre>None</pre>
					</td>
				</tr>

				<tr>
					<td>CACHES</td>
					<td class="code">
						<pre>{&#x27;default&#x27;: {&#x27;BACKEND&#x27;: &#x27;django.core.cache.backends.memcached.MemcachedCache&#x27;,
             &#x27;LOCATION&#x27;: &#x27;memcached-infra.infra.svc.cluster.local:11211&#x27;}}</pre>
					</td>
				</tr>

				<tr>
					<td>CACHE_MIDDLEWARE_ALIAS</td>
					<td class="code">
						<pre>&#x27;default&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>CACHE_MIDDLEWARE_KEY_PREFIX</td>
					<td class="code">
						<pre>&#x27;********************&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>CACHE_MIDDLEWARE_SECONDS</td>
					<td class="code">
						<pre>600</pre>
					</td>
				</tr>

				<tr>
					<td>CELERY_BROKER_URL</td>
					<td class="code">
						<pre>&#x27;pyamqp://vtex-adapter:t25yfN4HB@rabbitmq-ha-production-discovery.production.svc.cluster.local:5672//&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>CELERY_EVENT_QUEUE_PREFIX</td>
					<td class="code">
						<pre>&#x27;vtex-adapter&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>CELERY_PEDIDO_SOFT_TIME_LIMIT</td>
					<td class="code">
						<pre>20</pre>
					</td>
				</tr>

				<tr>
					<td>CELERY_PEDIDO_TIME_LIMIT</td>
					<td class="code">
						<pre>25</pre>
					</td>
				</tr>

				<tr>
					<td>CELERY_PRODUTO_RATE_LIMIT</td>
					<td class="code">
						<pre>&#x27;300/s&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>CELERY_PRODUTO_SOFT_TIME_LIMIT</td>
					<td class="code">
						<pre>40</pre>
					</td>
				</tr>

				<tr>
					<td>CELERY_PRODUTO_TIME_LIMIT</td>
					<td class="code">
						<pre>25</pre>
					</td>
				</tr>

				<tr>
					<td>CELERY_QUANTIDADE_DE_TENTATIVAS</td>
					<td class="code">
						<pre>5</pre>
					</td>
				</tr>

				<tr>
					<td>CELERY_QUANTIDADE_DE_TENTATIVAS_ESPECIFICACOES</td>
					<td class="code">
						<pre>2</pre>
					</td>
				</tr>

				<tr>
					<td>CELERY_RESULT_BACKEND</td>
					<td class="code">
						<pre>&#x27;sentinel://redis-production-redis-ha.production.svc.cluster.local:26379&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>CELERY_RESULT_BACKEND_CELERY_ONCE</td>
					<td class="code">
						<pre>&#x27;sentinel://redis-production-redis-ha.production.svc.cluster.local:26379&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>CELERY_RESULT_BACKEND_TRANSPORT_OPTIONS</td>
					<td class="code">
						<pre>{&#x27;master_name&#x27;: &#x27;mymaster&#x27;}</pre>
					</td>
				</tr>

				<tr>
					<td>CELERY_TASK_ACKS_LATE</td>
					<td class="code">
						<pre>True</pre>
					</td>
				</tr>

				<tr>
					<td>CELERY_TASK_ALWAYS_EAGER</td>
					<td class="code">
						<pre>False</pre>
					</td>
				</tr>

				<tr>
					<td>CELERY_TASK_DEFAULT_EXCHANGE</td>
					<td class="code">
						<pre>&#x27;vtex-adapter&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>CELERY_TASK_DEFAULT_EXCHANGE_ERRO</td>
					<td class="code">
						<pre>&#x27;vtex-adapter-erro&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>CELERY_TASK_DEFAULT_EXCHANGE_TYPE</td>
					<td class="code">
						<pre>&#x27;topic&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>CELERY_TASK_DEFAULT_QUEUE</td>
					<td class="code">
						<pre>&#x27;vtex-adapter-interno&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>CELERY_TASK_DEFAULT_ROUTING_KEY</td>
					<td class="code">
						<pre>&#x27;********************&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>CELERY_TEMPO_PARA_REENVIAR</td>
					<td class="code">
						<pre>300</pre>
					</td>
				</tr>

				<tr>
					<td>CONF</td>
					<td class="code">
						<pre>{&#x27;port&#x27;: &#x27;apps.barramento.saidas.pedidos_port&#x27;,
 &#x27;repository_pedido&#x27;: &#x27;apps.vtex_adapter.repositories.vtex_api_pedido.VtexApiPedidoRepository&#x27;,
 &#x27;services&#x27;: {&#x27;analise_pedido&#x27;: &#x27;apps.vtex_adapter.services.analise_envio_pedido.AnalisePedidoService&#x27;,
              &#x27;envia_pedido_analise&#x27;: &#x27;apps.vtex_adapter.services.obter_pedidos.ObterPedidosService&#x27;,
              &#x27;envio_ncliente&#x27;: &#x27;apps.vtex_adapter.services.cliente_atualizar_service.ClienteAtualizarService&#x27;,
              &#x27;item_colecao&#x27;: &#x27;apps.vtex_adapter.services.item_colecao_service.ItemColecaoService&#x27;,
              &#x27;obter_criar_colecao&#x27;: &#x27;apps.vtex_adapter.services.catalogo.obter_criar_colecao.ObterCriarColecao&#x27;,
              &#x27;recuperar_pedidos&#x27;: &#x27;apps.vtex_adapter.services.recuperar_pedidos.RecuperarPedidoService&#x27;,
              &#x27;registar_produto_especificacoes_full&#x27;: &#x27;apps.vtex_adapter.services.catalogo.registrar_produto_especificacoes_full.RegistrarProdutoEspecificacoesFull&#x27;,
              &#x27;registrar_anexo&#x27;: &#x27;apps.vtex_adapter.services.catalogo.registrar_anexo.RegistrarAnexo&#x27;,
              &#x27;registrar_especificacao_assunto&#x27;: &#x27;apps.vtex_adapter.services.registrar_especificacao_assunto.RegistrarEspecificacaoAssunto&#x27;,
              &#x27;registrar_estoque&#x27;: &#x27;apps.vtex_adapter.services.catalogo.registrar_estoque.RegistrarEstoque&#x27;,
              &#x27;registrar_imagem&#x27;: &#x27;apps.vtex_adapter.services.catalogo.registrar_imagem.RegistrarImagem&#x27;,
              &#x27;registrar_item_colecao&#x27;: &#x27;apps.vtex_adapter.services.catalogo.registrar_item_colecao.RegistrarItemColecao&#x27;,
              &#x27;registrar_preco&#x27;: &#x27;apps.vtex_adapter.services.catalogo.registrar_preco.RegistrarPreco&#x27;,
              &#x27;registrar_produto&#x27;: &#x27;apps.vtex_adapter.services.catalogo.registrar_produto.RegistrarProduto&#x27;,
              &#x27;registrar_produto_ean&#x27;: &#x27;apps.vtex_adapter.services.catalogo.registrar_ean.RegistrarEAN&#x27;,
              &#x27;registrar_produto_ean_full&#x27;: &#x27;apps.vtex_adapter.services.catalogo.RegistrarEANFull&#x27;,
              &#x27;registrar_produto_especificacoes&#x27;: &#x27;apps.vtex_adapter.services.catalogo.registrar_produto_especificacoes.RegistrarProdutoEspecificacoes&#x27;}}</pre>
					</td>
				</tr>

				<tr>
					<td>CORS_ALLOWED_ORIGIN_REGEXES</td>
					<td class="code">
						<pre>[&#x27;^https://[\\w\\.]*livrariacultura\\.com\\.br$&#x27;,
 &#x27;^https://[\\w\\.]*livrariaculturasandbox\\.myvtex\\.com&#x27;,
 &#x27;^https://[\\w\\.]*livrariacultura\\.vtexcommercestable\\.com\\.br$&#x27;,
 &#x27;^https://[\\w\\.]*livrariacultura\\.myvtex\\.com$&#x27;,
 &#x27;^https://[\\w\\.]*vtex\\.evalabs\\.com\\.br$&#x27;]</pre>
					</td>
				</tr>

				<tr>
					<td>CORS_ALLOW_METHODS</td>
					<td class="code">
						<pre>(&#x27;DELETE&#x27;, &#x27;GET&#x27;, &#x27;OPTIONS&#x27;, &#x27;PATCH&#x27;, &#x27;POST&#x27;, &#x27;PUT&#x27;)</pre>
					</td>
				</tr>

				<tr>
					<td>CORS_ORIGIN_ALLOW_ALL</td>
					<td class="code">
						<pre>True</pre>
					</td>
				</tr>

				<tr>
					<td>CSRF_COOKIE_AGE</td>
					<td class="code">
						<pre>31449600</pre>
					</td>
				</tr>

				<tr>
					<td>CSRF_COOKIE_DOMAIN</td>
					<td class="code">
						<pre>None</pre>
					</td>
				</tr>

				<tr>
					<td>CSRF_COOKIE_HTTPONLY</td>
					<td class="code">
						<pre>False</pre>
					</td>
				</tr>

				<tr>
					<td>CSRF_COOKIE_NAME</td>
					<td class="code">
						<pre>&#x27;csrftoken&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>CSRF_COOKIE_PATH</td>
					<td class="code">
						<pre>&#x27;/&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>CSRF_COOKIE_SAMESITE</td>
					<td class="code">
						<pre>&#x27;Lax&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>CSRF_COOKIE_SECURE</td>
					<td class="code">
						<pre>False</pre>
					</td>
				</tr>

				<tr>
					<td>CSRF_FAILURE_VIEW</td>
					<td class="code">
						<pre>&#x27;django.views.csrf.csrf_failure&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>CSRF_HEADER_NAME</td>
					<td class="code">
						<pre>&#x27;HTTP_X_CSRFTOKEN&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>CSRF_TRUSTED_ORIGINS</td>
					<td class="code">
						<pre>[]</pre>
					</td>
				</tr>

				<tr>
					<td>CSRF_USE_SESSIONS</td>
					<td class="code">
						<pre>False</pre>
					</td>
				</tr>

				<tr>
					<td>DATABASES</td>
					<td class="code">
						<pre>{&#x27;default&#x27;: {&#x27;ATOMIC_REQUESTS&#x27;: False,
             &#x27;AUTOCOMMIT&#x27;: True,
             &#x27;CONN_MAX_AGE&#x27;: 120,
             &#x27;ENGINE&#x27;: &#x27;django.db.backends.mysql&#x27;,
             &#x27;HOST&#x27;: &#x27;10.39.0.19&#x27;,
             &#x27;NAME&#x27;: &#x27;vtex_adapter&#x27;,
             &#x27;OPTIONS&#x27;: {},
             &#x27;PASSWORD&#x27;: &#x27;********************&#x27;,
             &#x27;PORT&#x27;: 3306,
             &#x27;TEST&#x27;: {&#x27;CHARSET&#x27;: None,
                      &#x27;COLLATION&#x27;: None,
                      &#x27;MIGRATE&#x27;: True,
                      &#x27;MIRROR&#x27;: None,
                      &#x27;NAME&#x27;: None},
             &#x27;TIME_ZONE&#x27;: None,
             &#x27;USER&#x27;: &#x27;vtex_adapter&#x27;}}</pre>
					</td>
				</tr>

				<tr>
					<td>DATABASE_ROUTERS</td>
					<td class="code">
						<pre>[]</pre>
					</td>
				</tr>

				<tr>
					<td>DATA_UPLOAD_MAX_MEMORY_SIZE</td>
					<td class="code">
						<pre>2621440</pre>
					</td>
				</tr>

				<tr>
					<td>DATA_UPLOAD_MAX_NUMBER_FIELDS</td>
					<td class="code">
						<pre>1000</pre>
					</td>
				</tr>

				<tr>
					<td>DATETIME_FORMAT</td>
					<td class="code">
						<pre>&#x27;d/m/Y H:i&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>DATETIME_INPUT_FORMATS</td>
					<td class="code">
						<pre>[&#x27;%Y-%m-%d %H:%M:%S&#x27;,
 &#x27;%Y-%m-%d %H:%M:%S.%f&#x27;,
 &#x27;%Y-%m-%d %H:%M&#x27;,
 &#x27;%m/%d/%Y %H:%M:%S&#x27;,
 &#x27;%m/%d/%Y %H:%M:%S.%f&#x27;,
 &#x27;%m/%d/%Y %H:%M&#x27;,
 &#x27;%m/%d/%y %H:%M:%S&#x27;,
 &#x27;%m/%d/%y %H:%M:%S.%f&#x27;,
 &#x27;%m/%d/%y %H:%M&#x27;]</pre>
					</td>
				</tr>

				<tr>
					<td>DATE_FORMAT</td>
					<td class="code">
						<pre>&#x27;d/m/Y&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>DATE_INPUT_FORMATS</td>
					<td class="code">
						<pre>[&#x27;%Y-%m-%d&#x27;,
 &#x27;%m/%d/%Y&#x27;,
 &#x27;%m/%d/%y&#x27;,
 &#x27;%b %d %Y&#x27;,
 &#x27;%b %d, %Y&#x27;,
 &#x27;%d %b %Y&#x27;,
 &#x27;%d %b, %Y&#x27;,
 &#x27;%B %d %Y&#x27;,
 &#x27;%B %d, %Y&#x27;,
 &#x27;%d %B %Y&#x27;,
 &#x27;%d %B, %Y&#x27;]</pre>
					</td>
				</tr>

				<tr>
					<td>DEBUG</td>
					<td class="code">
						<pre>True</pre>
					</td>
				</tr>

				<tr>
					<td>DEBUG_PROPAGATE_EXCEPTIONS</td>
					<td class="code">
						<pre>False</pre>
					</td>
				</tr>

				<tr>
					<td>DECIMAL_SEPARATOR</td>
					<td class="code">
						<pre>&#x27;.&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>DEFAULT_CHARSET</td>
					<td class="code">
						<pre>&#x27;utf-8&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>DEFAULT_EXCEPTION_REPORTER</td>
					<td class="code">
						<pre>&#x27;django.views.debug.ExceptionReporter&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>DEFAULT_EXCEPTION_REPORTER_FILTER</td>
					<td class="code">
						<pre>&#x27;django.views.debug.SafeExceptionReporterFilter&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>DEFAULT_FILE_STORAGE</td>
					<td class="code">
						<pre>&#x27;django.core.files.storage.FileSystemStorage&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>DEFAULT_FROM_EMAIL</td>
					<td class="code">
						<pre>&#x27;webmaster@localhost&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>DEFAULT_HASHING_ALGORITHM</td>
					<td class="code">
						<pre>&#x27;sha256&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>DEFAULT_INDEX_TABLESPACE</td>
					<td class="code">
						<pre>&#x27;&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>DEFAULT_TABLESPACE</td>
					<td class="code">
						<pre>&#x27;&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>DISALLOWED_USER_AGENTS</td>
					<td class="code">
						<pre>[]</pre>
					</td>
				</tr>

				<tr>
					<td>ELASTIC_APM</td>
					<td class="code">
						<pre>{&#x27;DEBUG&#x27;: True,
 &#x27;ENVIRONMENT&#x27;: &#x27;production&#x27;,
 &#x27;SERVER_URL&#x27;: &#x27;http://apm-server.infra.svc.cluster.local:8200&#x27;,
 &#x27;SERVICE_NAME&#x27;: &#x27;vtex-adapter&#x27;,
 &#x27;SERVICE_VERSION&#x27;: &#x27;production-471a379f&#x27;}</pre>
					</td>
				</tr>

				<tr>
					<td>EMAILS_LIBERADOS_PEDIDO</td>
					<td class="code">
						<pre>&#x27;vxavier@estantevirtual.com.br,netokruger@gmail.com,josericardocavalcante2@gmail.com,fmartins@estantevirtual.com.br,vfarsette@estantevirtual.com.br,fsmspidey@gmail.com,nando.fpn@gmail.com,andre.pezzi@gmail.com,farsette@msn.com,danilo.pereira@livrariacultura.com.br,rafaelasilveira1902@gmail.com,marta_sp96@hotmail.com&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>EMAIL_BACKEND</td>
					<td class="code">
						<pre>&#x27;django.core.mail.backends.smtp.EmailBackend&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>EMAIL_HOST</td>
					<td class="code">
						<pre>&#x27;localhost&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>EMAIL_HOST_PASSWORD</td>
					<td class="code">
						<pre>&#x27;********************&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>EMAIL_HOST_USER</td>
					<td class="code">
						<pre>&#x27;&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>EMAIL_PORT</td>
					<td class="code">
						<pre>25</pre>
					</td>
				</tr>

				<tr>
					<td>EMAIL_SSL_CERTFILE</td>
					<td class="code">
						<pre>None</pre>
					</td>
				</tr>

				<tr>
					<td>EMAIL_SSL_KEYFILE</td>
					<td class="code">
						<pre>&#x27;********************&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>EMAIL_SUBJECT_PREFIX</td>
					<td class="code">
						<pre>&#x27;[Django] &#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>EMAIL_TIMEOUT</td>
					<td class="code">
						<pre>None</pre>
					</td>
				</tr>

				<tr>
					<td>EMAIL_USE_LOCALTIME</td>
					<td class="code">
						<pre>False</pre>
					</td>
				</tr>

				<tr>
					<td>EMAIL_USE_SSL</td>
					<td class="code">
						<pre>False</pre>
					</td>
				</tr>

				<tr>
					<td>EMAIL_USE_TLS</td>
					<td class="code">
						<pre>False</pre>
					</td>
				</tr>

				<tr>
					<td>ENV</td>
					<td class="code">
						<pre>&lt;environ.environ.Env object at 0x7fc6d8a11630&gt;</pre>
					</td>
				</tr>

				<tr>
					<td>ERP_VALE_PRESENTE_ID</td>
					<td class="code">
						<pre>&#x27;1039321&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>EXIBIR_FILA_ERRO</td>
					<td class="code">
						<pre>True</pre>
					</td>
				</tr>

				<tr>
					<td>FILE_UPLOAD_DIRECTORY_PERMISSIONS</td>
					<td class="code">
						<pre>None</pre>
					</td>
				</tr>

				<tr>
					<td>FILE_UPLOAD_HANDLERS</td>
					<td class="code">
						<pre>[&#x27;django.core.files.uploadhandler.MemoryFileUploadHandler&#x27;,
 &#x27;django.core.files.uploadhandler.TemporaryFileUploadHandler&#x27;]</pre>
					</td>
				</tr>

				<tr>
					<td>FILE_UPLOAD_MAX_MEMORY_SIZE</td>
					<td class="code">
						<pre>2621440</pre>
					</td>
				</tr>

				<tr>
					<td>FILE_UPLOAD_PERMISSIONS</td>
					<td class="code">
						<pre>420</pre>
					</td>
				</tr>

				<tr>
					<td>FILE_UPLOAD_TEMP_DIR</td>
					<td class="code">
						<pre>None</pre>
					</td>
				</tr>

				<tr>
					<td>FIRST_DAY_OF_WEEK</td>
					<td class="code">
						<pre>0</pre>
					</td>
				</tr>

				<tr>
					<td>FIXTURE_DIRS</td>
					<td class="code">
						<pre>[]</pre>
					</td>
				</tr>

				<tr>
					<td>FORCE_SCRIPT_NAME</td>
					<td class="code">
						<pre>None</pre>
					</td>
				</tr>

				<tr>
					<td>FORMAT_MODULE_PATH</td>
					<td class="code">
						<pre>None</pre>
					</td>
				</tr>

				<tr>
					<td>FORM_RENDERER</td>
					<td class="code">
						<pre>&#x27;django.forms.renderers.DjangoTemplates&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>HOJE</td>
					<td class="code">
						<pre>&#x27;2020-10-13&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>HOST_BASE</td>
					<td class="code">
						<pre>&#x27;127.0.0.1&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>HOST_MYSQL</td>
					<td class="code">
						<pre>&#x27;127.0.0.1&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>HOST_RABBITMQ</td>
					<td class="code">
						<pre>&#x27;127.0.0.1&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>HOST_REDIS</td>
					<td class="code">
						<pre>&#x27;127.0.0.1&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>IGNORABLE_404_URLS</td>
					<td class="code">
						<pre>[]</pre>
					</td>
				</tr>

				<tr>
					<td>INSTALLED_APPS</td>
					<td class="code">
						<pre>(&#x27;evbase&#x27;,
 &#x27;base&#x27;,
 &#x27;apps.vtex_adapter&#x27;,
 &#x27;apps.controle&#x27;,
 &#x27;apps.barramento&#x27;,
 &#x27;events&#x27;,
 &#x27;django.contrib.auth&#x27;,
 &#x27;django.contrib.contenttypes&#x27;,
 &#x27;django.contrib.sessions&#x27;,
 &#x27;django.contrib.messages&#x27;,
 &#x27;django.contrib.staticfiles&#x27;,
 &#x27;rest_framework&#x27;,
 &#x27;drf_yasg&#x27;,
 &#x27;corsheaders&#x27;,
 &#x27;rest_framework.authtoken&#x27;,
 &#x27;elasticapm.contrib.django&#x27;)</pre>
					</td>
				</tr>

				<tr>
					<td>INTERNAL_IPS</td>
					<td class="code">
						<pre>[]</pre>
					</td>
				</tr>

				<tr>
					<td>KOBO_APIKEY</td>
					<td class="code">
						<pre>&#x27;********************&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>KOBO_PARTNER</td>
					<td class="code">
						<pre>&#x27;LivrariaCultura&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>LANGUAGES</td>
					<td class="code">
						<pre>[(&#x27;af&#x27;, &#x27;Afrikaans&#x27;),
 (&#x27;ar&#x27;, &#x27;Arabic&#x27;),
 (&#x27;ar-dz&#x27;, &#x27;Algerian Arabic&#x27;),
 (&#x27;ast&#x27;, &#x27;Asturian&#x27;),
 (&#x27;az&#x27;, &#x27;Azerbaijani&#x27;),
 (&#x27;bg&#x27;, &#x27;Bulgarian&#x27;),
 (&#x27;be&#x27;, &#x27;Belarusian&#x27;),
 (&#x27;bn&#x27;, &#x27;Bengali&#x27;),
 (&#x27;br&#x27;, &#x27;Breton&#x27;),
 (&#x27;bs&#x27;, &#x27;Bosnian&#x27;),
 (&#x27;ca&#x27;, &#x27;Catalan&#x27;),
 (&#x27;cs&#x27;, &#x27;Czech&#x27;),
 (&#x27;cy&#x27;, &#x27;Welsh&#x27;),
 (&#x27;da&#x27;, &#x27;Danish&#x27;),
 (&#x27;de&#x27;, &#x27;German&#x27;),
 (&#x27;dsb&#x27;, &#x27;Lower Sorbian&#x27;),
 (&#x27;el&#x27;, &#x27;Greek&#x27;),
 (&#x27;en&#x27;, &#x27;English&#x27;),
 (&#x27;en-au&#x27;, &#x27;Australian English&#x27;),
 (&#x27;en-gb&#x27;, &#x27;British English&#x27;),
 (&#x27;eo&#x27;, &#x27;Esperanto&#x27;),
 (&#x27;es&#x27;, &#x27;Spanish&#x27;),
 (&#x27;es-ar&#x27;, &#x27;Argentinian Spanish&#x27;),
 (&#x27;es-co&#x27;, &#x27;Colombian Spanish&#x27;),
 (&#x27;es-mx&#x27;, &#x27;Mexican Spanish&#x27;),
 (&#x27;es-ni&#x27;, &#x27;Nicaraguan Spanish&#x27;),
 (&#x27;es-ve&#x27;, &#x27;Venezuelan Spanish&#x27;),
 (&#x27;et&#x27;, &#x27;Estonian&#x27;),
 (&#x27;eu&#x27;, &#x27;Basque&#x27;),
 (&#x27;fa&#x27;, &#x27;Persian&#x27;),
 (&#x27;fi&#x27;, &#x27;Finnish&#x27;),
 (&#x27;fr&#x27;, &#x27;French&#x27;),
 (&#x27;fy&#x27;, &#x27;Frisian&#x27;),
 (&#x27;ga&#x27;, &#x27;Irish&#x27;),
 (&#x27;gd&#x27;, &#x27;Scottish Gaelic&#x27;),
 (&#x27;gl&#x27;, &#x27;Galician&#x27;),
 (&#x27;he&#x27;, &#x27;Hebrew&#x27;),
 (&#x27;hi&#x27;, &#x27;Hindi&#x27;),
 (&#x27;hr&#x27;, &#x27;Croatian&#x27;),
 (&#x27;hsb&#x27;, &#x27;Upper Sorbian&#x27;),
 (&#x27;hu&#x27;, &#x27;Hungarian&#x27;),
 (&#x27;hy&#x27;, &#x27;Armenian&#x27;),
 (&#x27;ia&#x27;, &#x27;Interlingua&#x27;),
 (&#x27;id&#x27;, &#x27;Indonesian&#x27;),
 (&#x27;ig&#x27;, &#x27;Igbo&#x27;),
 (&#x27;io&#x27;, &#x27;Ido&#x27;),
 (&#x27;is&#x27;, &#x27;Icelandic&#x27;),
 (&#x27;it&#x27;, &#x27;Italian&#x27;),
 (&#x27;ja&#x27;, &#x27;Japanese&#x27;),
 (&#x27;ka&#x27;, &#x27;Georgian&#x27;),
 (&#x27;kab&#x27;, &#x27;Kabyle&#x27;),
 (&#x27;kk&#x27;, &#x27;Kazakh&#x27;),
 (&#x27;km&#x27;, &#x27;Khmer&#x27;),
 (&#x27;kn&#x27;, &#x27;Kannada&#x27;),
 (&#x27;ko&#x27;, &#x27;Korean&#x27;),
 (&#x27;ky&#x27;, &#x27;Kyrgyz&#x27;),
 (&#x27;lb&#x27;, &#x27;Luxembourgish&#x27;),
 (&#x27;lt&#x27;, &#x27;Lithuanian&#x27;),
 (&#x27;lv&#x27;, &#x27;Latvian&#x27;),
 (&#x27;mk&#x27;, &#x27;Macedonian&#x27;),
 (&#x27;ml&#x27;, &#x27;Malayalam&#x27;),
 (&#x27;mn&#x27;, &#x27;Mongolian&#x27;),
 (&#x27;mr&#x27;, &#x27;Marathi&#x27;),
 (&#x27;my&#x27;, &#x27;Burmese&#x27;),
 (&#x27;nb&#x27;, &#x27;Norwegian Bokmål&#x27;),
 (&#x27;ne&#x27;, &#x27;Nepali&#x27;),
 (&#x27;nl&#x27;, &#x27;Dutch&#x27;),
 (&#x27;nn&#x27;, &#x27;Norwegian Nynorsk&#x27;),
 (&#x27;os&#x27;, &#x27;Ossetic&#x27;),
 (&#x27;pa&#x27;, &#x27;Punjabi&#x27;),
 (&#x27;pl&#x27;, &#x27;Polish&#x27;),
 (&#x27;pt&#x27;, &#x27;Portuguese&#x27;),
 (&#x27;pt-br&#x27;, &#x27;Brazilian Portuguese&#x27;),
 (&#x27;ro&#x27;, &#x27;Romanian&#x27;),
 (&#x27;ru&#x27;, &#x27;Russian&#x27;),
 (&#x27;sk&#x27;, &#x27;Slovak&#x27;),
 (&#x27;sl&#x27;, &#x27;Slovenian&#x27;),
 (&#x27;sq&#x27;, &#x27;Albanian&#x27;),
 (&#x27;sr&#x27;, &#x27;Serbian&#x27;),
 (&#x27;sr-latn&#x27;, &#x27;Serbian Latin&#x27;),
 (&#x27;sv&#x27;, &#x27;Swedish&#x27;),
 (&#x27;sw&#x27;, &#x27;Swahili&#x27;),
 (&#x27;ta&#x27;, &#x27;Tamil&#x27;),
 (&#x27;te&#x27;, &#x27;Telugu&#x27;),
 (&#x27;tg&#x27;, &#x27;Tajik&#x27;),
 (&#x27;th&#x27;, &#x27;Thai&#x27;),
 (&#x27;tk&#x27;, &#x27;Turkmen&#x27;),
 (&#x27;tr&#x27;, &#x27;Turkish&#x27;),
 (&#x27;tt&#x27;, &#x27;Tatar&#x27;),
 (&#x27;udm&#x27;, &#x27;Udmurt&#x27;),
 (&#x27;uk&#x27;, &#x27;Ukrainian&#x27;),
 (&#x27;ur&#x27;, &#x27;Urdu&#x27;),
 (&#x27;uz&#x27;, &#x27;Uzbek&#x27;),
 (&#x27;vi&#x27;, &#x27;Vietnamese&#x27;),
 (&#x27;zh-hans&#x27;, &#x27;Simplified Chinese&#x27;),
 (&#x27;zh-hant&#x27;, &#x27;Traditional Chinese&#x27;)]</pre>
					</td>
				</tr>

				<tr>
					<td>LANGUAGES_BIDI</td>
					<td class="code">
						<pre>[&#x27;he&#x27;, &#x27;ar&#x27;, &#x27;ar-dz&#x27;, &#x27;fa&#x27;, &#x27;ur&#x27;]</pre>
					</td>
				</tr>

				<tr>
					<td>LANGUAGE_CODE</td>
					<td class="code">
						<pre>&#x27;pt-br&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>LANGUAGE_COOKIE_AGE</td>
					<td class="code">
						<pre>None</pre>
					</td>
				</tr>

				<tr>
					<td>LANGUAGE_COOKIE_DOMAIN</td>
					<td class="code">
						<pre>None</pre>
					</td>
				</tr>

				<tr>
					<td>LANGUAGE_COOKIE_HTTPONLY</td>
					<td class="code">
						<pre>False</pre>
					</td>
				</tr>

				<tr>
					<td>LANGUAGE_COOKIE_NAME</td>
					<td class="code">
						<pre>&#x27;django_language&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>LANGUAGE_COOKIE_PATH</td>
					<td class="code">
						<pre>&#x27;/&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>LANGUAGE_COOKIE_SAMESITE</td>
					<td class="code">
						<pre>None</pre>
					</td>
				</tr>

				<tr>
					<td>LANGUAGE_COOKIE_SECURE</td>
					<td class="code">
						<pre>False</pre>
					</td>
				</tr>

				<tr>
					<td>LOCALE_PATHS</td>
					<td class="code">
						<pre>[]</pre>
					</td>
				</tr>

				<tr>
					<td>LOGGING</td>
					<td class="code">
						<pre>{&#x27;disable_existing_loggers&#x27;: False,
 &#x27;filters&#x27;: {&#x27;default&#x27;: {&#x27;()&#x27;: &#x27;jslog4kube.KubeMetaInject&#x27;}},
 &#x27;formatters&#x27;: {&#x27;default&#x27;: {&#x27;format&#x27;: &#x27;%(message)s&#x27;},
                &#x27;json&#x27;: {&#x27;()&#x27;: &#x27;pythonjsonlogger.jsonlogger.JsonFormatter&#x27;,
                         &#x27;datefmt&#x27;: &#x27;%Y-%m-%dT%H:%M:%S,%03d&#x27;,
                         &#x27;format&#x27;: &#x27;%(asctime)s %(message)s %(name)s &#x27;
                                   &#x27;%(created)s %(filename)s %(module)s &#x27;
                                   &#x27;%(funcName)s %(lineno)s %(msecs)s &#x27;
                                   &#x27;%(pathname)s %(process)s %(processName)s &#x27;
                                   &#x27;%(relativeCreated)s %(thread)s &#x27;
                                   &#x27;%(threadName)s %(levelname)s&#x27;},
                &#x27;json-access&#x27;: {&#x27;()&#x27;: &#x27;pythonjsonlogger.jsonlogger.JsonFormatter&#x27;,
                                &#x27;datefmt&#x27;: &#x27;%Y-%m-%dT%H:%M:%S,%03d&#x27;,
                                &#x27;format&#x27;: &#x27;%(asctime)s %(message)s %(name)s &#x27;
                                          &#x27;%(created)s %(filename)s %(module)s &#x27;
                                          &#x27;%(funcName)s %(lineno)s %(msecs)s &#x27;
                                          &#x27;%(pathname)s %(process)s &#x27;
                                          &#x27;%(processName)s %(relativeCreated)s &#x27;
                                          &#x27;%(thread)s %(threadName)s &#x27;
                                          &#x27;%(levelname)s%(access)&#x27;}},
 &#x27;handlers&#x27;: {&#x27;default&#x27;: {&#x27;class&#x27;: &#x27;logging.StreamHandler&#x27;,
                          &#x27;filters&#x27;: [&#x27;default&#x27;],
                          &#x27;formatter&#x27;: &#x27;default&#x27;,
                          &#x27;level&#x27;: &#x27;DEBUG&#x27;,
                          &#x27;stream&#x27;: &#x27;ext://sys.stdout&#x27;},
              &#x27;elasticapm&#x27;: {&#x27;class&#x27;: &#x27;elasticapm.contrib.django.handlers.LoggingHandler&#x27;,
                             &#x27;level&#x27;: &#x27;WARNING&#x27;},
              &#x27;json-stdout&#x27;: {&#x27;class&#x27;: &#x27;logging.StreamHandler&#x27;,
                              &#x27;filters&#x27;: [&#x27;default&#x27;],
                              &#x27;formatter&#x27;: &#x27;json&#x27;,
                              &#x27;level&#x27;: &#x27;DEBUG&#x27;,
                              &#x27;stream&#x27;: &#x27;ext://sys.stdout&#x27;}},
 &#x27;loggers&#x27;: {&#x27;debug&#x27;: {&#x27;formatters&#x27;: [&#x27;json&#x27;],
                       &#x27;handlers&#x27;: [&#x27;json-stdout&#x27;, &#x27;elasticapm&#x27;],
                       &#x27;level&#x27;: &#x27;INFO&#x27;,
                       &#x27;propagate&#x27;: False},
             &#x27;demo&#x27;: {&#x27;filters&#x27;: [&#x27;default&#x27;],
                      &#x27;formatters&#x27;: [&#x27;json&#x27;],
                      &#x27;handlers&#x27;: [&#x27;json-stdout&#x27;],
                      &#x27;level&#x27;: &#x27;INFO&#x27;,
                      &#x27;propagate&#x27;: True},
             &#x27;django&#x27;: {&#x27;filters&#x27;: [&#x27;default&#x27;],
                        &#x27;formatters&#x27;: [&#x27;json&#x27;],
                        &#x27;handlers&#x27;: [&#x27;json-stdout&#x27;],
                        &#x27;level&#x27;: &#x27;INFO&#x27;,
                        &#x27;propagate&#x27;: True},
             &#x27;efk&#x27;: {&#x27;filters&#x27;: [&#x27;default&#x27;],
                     &#x27;formatters&#x27;: [&#x27;json&#x27;],
                     &#x27;handlers&#x27;: [&#x27;json-stdout&#x27;],
                     &#x27;level&#x27;: &#x27;INFO&#x27;,
                     &#x27;propagate&#x27;: True},
             &#x27;elasticapm.errors&#x27;: {&#x27;handlers&#x27;: [&#x27;json-stdout&#x27;],
                                   &#x27;level&#x27;: &#x27;ERROR&#x27;,
                                   &#x27;propagate&#x27;: False},
             &#x27;gunicorn&#x27;: {&#x27;formatters&#x27;: [&#x27;json&#x27;],
                          &#x27;handlers&#x27;: [&#x27;json-stdout&#x27;],
                          &#x27;level&#x27;: &#x27;ERROR&#x27;,
                          &#x27;propagate&#x27;: False},
             &#x27;gunicorn.access&#x27;: {&#x27;formatters&#x27;: [&#x27;json-access&#x27;],
                                 &#x27;handlers&#x27;: [&#x27;json-stdout&#x27;],
                                 &#x27;level&#x27;: &#x27;INFO&#x27;,
                                 &#x27;propagate&#x27;: False},
             &#x27;gunicorn.error&#x27;: {&#x27;formatters&#x27;: [&#x27;json&#x27;],
                                &#x27;handlers&#x27;: [&#x27;json-stdout&#x27;],
                                &#x27;level&#x27;: &#x27;INFO&#x27;,
                                &#x27;propagate&#x27;: False},
             &#x27;requests&#x27;: {&#x27;filters&#x27;: [&#x27;default&#x27;],
                          &#x27;formatters&#x27;: [&#x27;json&#x27;],
                          &#x27;handlers&#x27;: [&#x27;json-stdout&#x27;],
                          &#x27;level&#x27;: &#x27;INFO&#x27;,
                          &#x27;propagate&#x27;: True}},
 &#x27;version&#x27;: 1}</pre>
					</td>
				</tr>

				<tr>
					<td>LOGGING_CONFIG</td>
					<td class="code">
						<pre>&#x27;logging.config.dictConfig&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>LOGGING_HANDLERS</td>
					<td class="code">
						<pre>{&#x27;debug&#x27;: {&#x27;formatters&#x27;: [&#x27;json&#x27;],
           &#x27;handlers&#x27;: [&#x27;json-stdout&#x27;, &#x27;elasticapm&#x27;],
           &#x27;level&#x27;: &#x27;INFO&#x27;,
           &#x27;propagate&#x27;: False}}</pre>
					</td>
				</tr>

				<tr>
					<td>LOGIN_REDIRECT_URL</td>
					<td class="code">
						<pre>&#x27;/accounts/profile/&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>LOGIN_URL</td>
					<td class="code">
						<pre>&#x27;/accounts/login/&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>LOGOUT_REDIRECT_URL</td>
					<td class="code">
						<pre>None</pre>
					</td>
				</tr>

				<tr>
					<td>MANAGERS</td>
					<td class="code">
						<pre>[]</pre>
					</td>
				</tr>

				<tr>
					<td>MEDIA_ROOT</td>
					<td class="code">
						<pre>&#x27;/app/src/static/media&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>MEDIA_URL</td>
					<td class="code">
						<pre>&#x27;/static/media/&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>MESSAGE_STORAGE</td>
					<td class="code">
						<pre>&#x27;django.contrib.messages.storage.fallback.FallbackStorage&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>MIDDLEWARE</td>
					<td class="code">
						<pre>(&#x27;django.middleware.security.SecurityMiddleware&#x27;,
 &#x27;django.contrib.sessions.middleware.SessionMiddleware&#x27;,
 &#x27;corsheaders.middleware.CorsMiddleware&#x27;,
 &#x27;django.middleware.common.CommonMiddleware&#x27;,
 &#x27;django.middleware.csrf.CsrfViewMiddleware&#x27;,
 &#x27;django.contrib.auth.middleware.AuthenticationMiddleware&#x27;,
 &#x27;django.contrib.messages.middleware.MessageMiddleware&#x27;,
 &#x27;django.middleware.clickjacking.XFrameOptionsMiddleware&#x27;,
 &#x27;elasticapm.contrib.django.middleware.TracingMiddleware&#x27;)</pre>
					</td>
				</tr>

				<tr>
					<td>MIGRATION_MODULES</td>
					<td class="code">
						<pre>{}</pre>
					</td>
				</tr>

				<tr>
					<td>MONTH_DAY_FORMAT</td>
					<td class="code">
						<pre>&#x27;F j&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>MYSQL_POOL</td>
					<td class="code">
						<pre>0</pre>
					</td>
				</tr>

				<tr>
					<td>NUMBER_GROUPING</td>
					<td class="code">
						<pre>0</pre>
					</td>
				</tr>

				<tr>
					<td>PASSWORD_HASHERS</td>
					<td class="code">
						<pre>&#x27;********************&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>PASSWORD_RESET_TIMEOUT</td>
					<td class="code">
						<pre>&#x27;********************&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>PASSWORD_RESET_TIMEOUT_DAYS</td>
					<td class="code">
						<pre>&#x27;********************&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>PREPEND_WWW</td>
					<td class="code">
						<pre>False</pre>
					</td>
				</tr>

				<tr>
					<td>PROJECT_DIR</td>
					<td class="code">
						<pre>&lt;Path:/app/src/project&gt;</pre>
					</td>
				</tr>

				<tr>
					<td>PROJETO_SLUG</td>
					<td class="code">
						<pre>&#x27;vtex-adapter&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>PUBLIC_DIR</td>
					<td class="code">
						<pre>&lt;Path:/app/src/static&gt;</pre>
					</td>
				</tr>

				<tr>
					<td>REST_FRAMEWORK</td>
					<td class="code">
						<pre>{&#x27;DEFAULT_THROTTLE_RATES&#x27;: {&#x27;vtex&#x27;: &#x27;1000/minute&#x27;}}</pre>
					</td>
				</tr>

				<tr>
					<td>ROOT_DIR</td>
					<td class="code">
						<pre>&lt;Path:/app&gt;</pre>
					</td>
				</tr>

				<tr>
					<td>ROOT_URLCONF</td>
					<td class="code">
						<pre>&#x27;project.urls&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>SECRET_KEY</td>
					<td class="code">
						<pre>&#x27;********************&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>SECURE_BROWSER_XSS_FILTER</td>
					<td class="code">
						<pre>False</pre>
					</td>
				</tr>

				<tr>
					<td>SECURE_CONTENT_TYPE_NOSNIFF</td>
					<td class="code">
						<pre>True</pre>
					</td>
				</tr>

				<tr>
					<td>SECURE_HSTS_INCLUDE_SUBDOMAINS</td>
					<td class="code">
						<pre>False</pre>
					</td>
				</tr>

				<tr>
					<td>SECURE_HSTS_PRELOAD</td>
					<td class="code">
						<pre>False</pre>
					</td>
				</tr>

				<tr>
					<td>SECURE_HSTS_SECONDS</td>
					<td class="code">
						<pre>0</pre>
					</td>
				</tr>

				<tr>
					<td>SECURE_PROXY_SSL_HEADER</td>
					<td class="code">
						<pre>None</pre>
					</td>
				</tr>

				<tr>
					<td>SECURE_REDIRECT_EXEMPT</td>
					<td class="code">
						<pre>[]</pre>
					</td>
				</tr>

				<tr>
					<td>SECURE_REFERRER_POLICY</td>
					<td class="code">
						<pre>&#x27;same-origin&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>SECURE_SSL_HOST</td>
					<td class="code">
						<pre>None</pre>
					</td>
				</tr>

				<tr>
					<td>SECURE_SSL_REDIRECT</td>
					<td class="code">
						<pre>False</pre>
					</td>
				</tr>

				<tr>
					<td>SERVER_EMAIL</td>
					<td class="code">
						<pre>&#x27;root@localhost&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>SESSION_CACHE_ALIAS</td>
					<td class="code">
						<pre>&#x27;default&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>SESSION_COOKIE_AGE</td>
					<td class="code">
						<pre>1209600</pre>
					</td>
				</tr>

				<tr>
					<td>SESSION_COOKIE_DOMAIN</td>
					<td class="code">
						<pre>None</pre>
					</td>
				</tr>

				<tr>
					<td>SESSION_COOKIE_HTTPONLY</td>
					<td class="code">
						<pre>True</pre>
					</td>
				</tr>

				<tr>
					<td>SESSION_COOKIE_NAME</td>
					<td class="code">
						<pre>&#x27;sessionid&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>SESSION_COOKIE_PATH</td>
					<td class="code">
						<pre>&#x27;/&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>SESSION_COOKIE_SAMESITE</td>
					<td class="code">
						<pre>&#x27;Lax&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>SESSION_COOKIE_SECURE</td>
					<td class="code">
						<pre>False</pre>
					</td>
				</tr>

				<tr>
					<td>SESSION_ENGINE</td>
					<td class="code">
						<pre>&#x27;django.contrib.sessions.backends.db&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>SESSION_EXPIRE_AT_BROWSER_CLOSE</td>
					<td class="code">
						<pre>False</pre>
					</td>
				</tr>

				<tr>
					<td>SESSION_FILE_PATH</td>
					<td class="code">
						<pre>None</pre>
					</td>
				</tr>

				<tr>
					<td>SESSION_SAVE_EVERY_REQUEST</td>
					<td class="code">
						<pre>False</pre>
					</td>
				</tr>

				<tr>
					<td>SESSION_SERIALIZER</td>
					<td class="code">
						<pre>&#x27;django.contrib.sessions.serializers.JSONSerializer&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>SETTINGS_DIR</td>
					<td class="code">
						<pre>&lt;Path:/app/src/project/settings&gt;</pre>
					</td>
				</tr>

				<tr>
					<td>SETTINGS_MODULE</td>
					<td class="code">
						<pre>&#x27;project.settings.production&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>SHORT_DATETIME_FORMAT</td>
					<td class="code">
						<pre>&#x27;m/d/Y P&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>SHORT_DATE_FORMAT</td>
					<td class="code">
						<pre>&#x27;m/d/Y&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>SIGNING_BACKEND</td>
					<td class="code">
						<pre>&#x27;django.core.signing.TimestampSigner&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>SILENCED_SYSTEM_CHECKS</td>
					<td class="code">
						<pre>[]</pre>
					</td>
				</tr>

				<tr>
					<td>STAGE</td>
					<td class="code">
						<pre>&#x27;production&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>STATICFILES_DIRS</td>
					<td class="code">
						<pre>(&#x27;/app/src/static/geral&#x27;,)</pre>
					</td>
				</tr>

				<tr>
					<td>STATICFILES_FINDERS</td>
					<td class="code">
						<pre>[&#x27;django.contrib.staticfiles.finders.FileSystemFinder&#x27;,
 &#x27;django.contrib.staticfiles.finders.AppDirectoriesFinder&#x27;]</pre>
					</td>
				</tr>

				<tr>
					<td>STATICFILES_STORAGE</td>
					<td class="code">
						<pre>&#x27;django.contrib.staticfiles.storage.StaticFilesStorage&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>STATIC_ROOT</td>
					<td class="code">
						<pre>&#x27;/app/src/static/collect&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>STATIC_URL</td>
					<td class="code">
						<pre>&#x27;/static/collect/&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>TEMPLATES</td>
					<td class="code">
						<pre>({&#x27;APP_DIRS&#x27;: True,
  &#x27;BACKEND&#x27;: &#x27;django.template.backends.django.DjangoTemplates&#x27;,
  &#x27;DIRS&#x27;: [],
  &#x27;OPTIONS&#x27;: {&#x27;context_processors&#x27;: (&#x27;django.template.context_processors.debug&#x27;,
                                     &#x27;django.template.context_processors.request&#x27;,
                                     &#x27;django.contrib.auth.context_processors.auth&#x27;,
                                     &#x27;django.contrib.messages.context_processors.messages&#x27;)}},)</pre>
					</td>
				</tr>

				<tr>
					<td>TEST_NON_SERIALIZED_APPS</td>
					<td class="code">
						<pre>[]</pre>
					</td>
				</tr>

				<tr>
					<td>TEST_RUNNER</td>
					<td class="code">
						<pre>&#x27;django.test.runner.DiscoverRunner&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>THOUSAND_SEPARATOR</td>
					<td class="code">
						<pre>&#x27;,&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>TIME_FORMAT</td>
					<td class="code">
						<pre>&#x27;H:i&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>TIME_INPUT_FORMATS</td>
					<td class="code">
						<pre>[&#x27;%H:%M:%S&#x27;, &#x27;%H:%M:%S.%f&#x27;, &#x27;%H:%M&#x27;]</pre>
					</td>
				</tr>

				<tr>
					<td>TIME_ZONE</td>
					<td class="code">
						<pre>&#x27;America/Sao_Paulo&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>USE_I18N</td>
					<td class="code">
						<pre>True</pre>
					</td>
				</tr>

				<tr>
					<td>USE_L10N</td>
					<td class="code">
						<pre>True</pre>
					</td>
				</tr>

				<tr>
					<td>USE_THOUSAND_SEPARATOR</td>
					<td class="code">
						<pre>False</pre>
					</td>
				</tr>

				<tr>
					<td>USE_TZ</td>
					<td class="code">
						<pre>True</pre>
					</td>
				</tr>

				<tr>
					<td>USE_X_FORWARDED_HOST</td>
					<td class="code">
						<pre>False</pre>
					</td>
				</tr>

				<tr>
					<td>USE_X_FORWARDED_PORT</td>
					<td class="code">
						<pre>False</pre>
					</td>
				</tr>

				<tr>
					<td>VTEX_ACCOUNT_NAME</td>
					<td class="code">
						<pre>&#x27;livrariacultura&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>VTEX_APPKEY</td>
					<td class="code">
						<pre>&#x27;********************&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>VTEX_APPTOKEN</td>
					<td class="code">
						<pre>&#x27;********************&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>VTEX_ENVIRONMENT</td>
					<td class="code">
						<pre>&#x27;vtexcommercestable&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>VTEX_GIFTCARD_TOKEN</td>
					<td class="code">
						<pre>&#x27;********************&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>VTEX_SOAP_URL</td>
					<td class="code">
						<pre>&#x27;https://webservice-livrariacultura.vtexcommerce.com.br/Service.svc?singleWsdl&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>WSGI_APPLICATION</td>
					<td class="code">
						<pre>&#x27;project.wsgi.application&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>X_FRAME_OPTIONS</td>
					<td class="code">
						<pre>&#x27;DENY&#x27;</pre>
					</td>
				</tr>

				<tr>
					<td>YEAR_MONTH_FORMAT</td>
					<td class="code">
						<pre>&#x27;F Y&#x27;</pre>
					</td>
				</tr>

			</tbody>
		</table>

	</div>

	<div id="explanation">
		<p>
			You're seeing this error because you have <code>DEBUG = True</code> in your
			Django settings file. Change that to <code>False</code>, and Django will
			display a standard page generated by the handler for this status code.
		</p>
	</div>

</body>

</html>